tumor <- data.matrix(read.delim("./data/GBM_mRNA_tumor.txt",header=FALSE))
normal <- data.matrix(read.delim("./data/GBM_mRNA_normal.txt",header=FALSE))
tumor_norm <- tumor

normal_mean <- apply(normal,1,mean)

for(i in 1:nrow(tumor_norm))
{
  print(i)
  tumor_norm[i,] <- tumor_norm[i,] - normal_mean[i]
}
    
norm_mean <- apply(tumor_norm,1,mean)
norm_sd <- apply(tumor_norm,1,sd)
z_norm <- tumor_norm

for(i in 1:nrow(tumor_norm))
{
  
  z_norm[i,] <- (tumor_norm[i,] - norm_mean[i]) / norm_sd[i]
}
                                                  

write.table(z_norm,"./result/GBM_mRNA_normalized_Z.txt",sep="\t",col.names=FALSE,row.names=FALSE)


